Index: trunk/test/unit/org/openstreetmap/josm/tools/bugreport/BugReportExceptionHandlerTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/tools/bugreport/BugReportExceptionHandlerTest.java	(revision 17195)
+++ trunk/test/unit/org/openstreetmap/josm/tools/bugreport/BugReportExceptionHandlerTest.java	(revision 17275)
@@ -4,6 +4,6 @@
 import java.util.concurrent.CountDownLatch;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.testutils.JOSMTestRules;
 
@@ -13,9 +13,9 @@
  * Unit tests of {@link BugReportExceptionHandler} class.
  */
-public class BugReportExceptionHandlerTest {
+class BugReportExceptionHandlerTest {
     /**
      * No dependencies
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules();
@@ -26,5 +26,5 @@
      */
     @Test
-    public void testHandleException() throws InterruptedException {
+    void testHandleException() throws InterruptedException {
         CountDownLatch latch = new CountDownLatch(1);
         BugReportQueue.getInstance().addBugReportHandler(e -> {
Index: trunk/test/unit/org/openstreetmap/josm/tools/bugreport/BugReportTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/tools/bugreport/BugReportTest.java	(revision 17195)
+++ trunk/test/unit/org/openstreetmap/josm/tools/bugreport/BugReportTest.java	(revision 17275)
@@ -2,7 +2,7 @@
 package org.openstreetmap.josm.tools.bugreport;
 
-import static org.junit.Assert.assertEquals;
-import static org.junit.Assert.assertSame;
-import static org.junit.Assert.assertTrue;
+import static org.junit.jupiter.api.Assertions.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertSame;
+import static org.junit.jupiter.api.Assertions.assertTrue;
 
 import java.io.IOException;
@@ -10,6 +10,6 @@
 import java.io.StringWriter;
 
-import org.junit.Rule;
-import org.junit.Test;
+import org.junit.jupiter.api.extension.RegisterExtension;
+import org.junit.jupiter.api.Test;
 import org.openstreetmap.josm.actions.ShowStatusReportAction;
 import org.openstreetmap.josm.testutils.JOSMTestRules;
@@ -21,9 +21,9 @@
  * @author Michael Zangl
  */
-public class BugReportTest {
+class BugReportTest {
     /**
      * Preferences for the report text
      */
-    @Rule
+    @RegisterExtension
     @SuppressFBWarnings(value = "URF_UNREAD_PUBLIC_OR_PROTECTED_FIELD")
     public JOSMTestRules test = new JOSMTestRules().preferences();
@@ -33,5 +33,5 @@
      */
     @Test
-    public void testReportText() {
+    void testReportText() {
         ReportedException e = interceptInChildMethod(new IOException("test-exception-message"));
         e.put("test-key", "test-value");
@@ -48,5 +48,5 @@
      */
     @Test
-    public void testIntercept() {
+    void testIntercept() {
         IOException base = new IOException("test");
         ReportedException intercepted = interceptInChildMethod(base);
@@ -69,5 +69,5 @@
      */
     @Test
-    public void testGetCallingMethod() {
+    void testGetCallingMethod() {
         assertEquals("BugReportTest#testGetCallingMethod", BugReport.getCallingMethod(1));
         assertEquals("BugReportTest#testGetCallingMethod", testGetCallingMethod2());
Index: trunk/test/unit/org/openstreetmap/josm/tools/bugreport/ReportedExceptionTest.java
===================================================================
--- trunk/test/unit/org/openstreetmap/josm/tools/bugreport/ReportedExceptionTest.java	(revision 17195)
+++ trunk/test/unit/org/openstreetmap/josm/tools/bugreport/ReportedExceptionTest.java	(revision 17275)
@@ -2,9 +2,9 @@
 package org.openstreetmap.josm.tools.bugreport;
 
-import static org.junit.Assert.assertEquals;
+import static org.junit.jupiter.api.Assertions.assertEquals;
 
 import java.util.Arrays;
 
-import org.junit.Test;
+import org.junit.jupiter.api.Test;
 
 /**
@@ -13,5 +13,5 @@
  * @since 10285
  */
-public class ReportedExceptionTest {
+class ReportedExceptionTest {
     private static final class CauseOverwriteException extends RuntimeException {
         private Throwable myCause;
@@ -31,5 +31,5 @@
      */
     @Test
-    public void testPutDoesHandleNull() {
+    void testPutDoesHandleNull() {
         ReportedException e = new ReportedException(new RuntimeException());
         e.startSection("test");
@@ -45,5 +45,5 @@
      */
     @Test
-    public void testPutDoesNotThrow() {
+    void testPutDoesNotThrow() {
         ReportedException e = new ReportedException(new RuntimeException());
         e.startSection("test");
@@ -65,5 +65,5 @@
      */
     @Test
-    public void testIsSame() {
+    void testIsSame() {
         // Do not break this line! All exceptions need to be created in the same line.
         // CHECKSTYLE.OFF: LineLength
@@ -78,5 +78,5 @@
                 boolean is01 = (i == 0 || i == 1) && (j == 0 || j == 1);
                 boolean is23 = (i == 2 || i == 3) && (j == 2 || j == 3);
-                assertEquals(i + ", " + j, is01 || is23 || i == j, testExceptions[i].isSame(testExceptions[j]));
+                assertEquals(is01 || is23 || i == j, testExceptions[i].isSame(testExceptions[j]), i + ", " + j);
             }
         }
